EDIT - bug #7766

Remaining issues for using relationship DTO webservice in portal
09/17/2018 03:27 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal Found in Version:

Description

for details see #7658

)

taxonrelation footnotes missing (see #7658#note-51 for details)
sort order of the relations (see #7658#note-46 for details) The expected sort order is:

1. pro parte/partial synonyms,

2. then invalid designations,

3. then MANs

4. followed (or including?) pro parte/partial MAN

5. and finally concept relationships.
links to related taxa (new) - before the refactoring the related concepts were linked, at least for real concept relationships we
should again do this, needs discussion if we also want this for ppSyns, MANs, and inval desigs. (maybe configurable?)
related issue for formatting MAN search results: #7771
identifier links missing when footnote is created in MANs code part: #7778

Related issues:

Related to EDIT - feature request #7771: Format Misapplication search results... Feedback
Copied from EDIT - feature request #7658: use new taxon relationship DTO webs... Closed
Copied to EDIT - bug #7778: identifier links missing in taxon relations footn... Closed

Associated revisions

Revision €5926729 - 09/17/2018 03:30 PM - Andreas Kohlbecker

ref #7766 creating testcase - currently ignored

Revision 8b2a5cc0 - 09/18/2018 12:17 PM - Andreas Kohlbecker
ref #7766 adapting test to modified data

Revision ca2ed7a5 - 09/18/2018 01:28 PM - Andreas Kohlbecker
ref #7766 adapting test to modified data - 2.

Revision c88416e1 - 09/17/2019 12:57 PM - Andreas Kohlbecker

ref #7766 completing test case

Revision 5¢750190 - 03/17/2020 05:32 PM - Andreas Kohlbecker

ref #7766 order taxon relationships by type and scientific name, adapting tests

History

#1 - 09/17/2018 03:27 PM - Andreas Kohlbecker

- Copied from feature request #7658: use new taxon relationship DTO webservice in portal added
#2 - 09/17/2018 07:58 PM - Andreas Miiller

- Subject changed from taxonrelation footnotes missing after using relationship DTO webservice in portal to Remaining issues for using relationship
DTO webservice in portal

- Description updated

#3 - 09/19/2018 02:01 PM - Andreas Miiller
- Description updated

#4 - 09/19/2018 02:02 PM - Andreas Miiller

- Related to feature request #7771: Format Misapplication search results as MAN, not as accepted taxa added

#5 - 09/20/2018 12:09 PM - Andreas Kohlbecker
- Description updated

#6 - 09/20/2018 12:12 PM - Andreas Kohlbecker

- Copied to bug #7778: identifier links missing in taxon relations footnotes added

#7 - 09/20/2018 01:53 PM - Andreas Kohlbecker
- Description updated

#8 - 09/21/2018 08:58 AM - Andreas Kohlbecker

- Description updated

#9 - 10/22/2018 05:11 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed

this issue seems complete, since #7771 is in it's own ticket.

#10 - 10/25/2018 10:36 AM - Andreas Miiller
- Status changed from Closed to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- % Done changed from 0 to 90

#11 - 09/17/2019 11:54 AM - Andreas Kohlbecker

- Description updated

#12 - 09/17/2019 02:37 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 90 to 70

The sort order seem to have problems. Is this an regression or has this point be missed?

#13 - 09/17/2019 02:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.11

#14 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#15 - 01/13/2020 05:00 PM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#16 - 03/17/2020 05:46 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 70 to 100

Andreas Kohlbecker wrote:

The sort order seem to have problems. Is this an regression or has this point be missed?

The sort order is fixed now. The correctness is approved by the test which has been adapted to meet the requirements from the ticket description.
